ASSAULTCUBE(6)

NAME
assaultcube-server - AssaultCube server

SYNOPSIS
assaultcube-server [ -cN ] [ -nS ] [ -n1S ] [ -n2S ] [ -oN ] [ -iIP ] [ -fPORT ] [ -pPASSWD ] [ -mURL ] [ -xPASSWD ] [ -PfkbMASRCDEPw ] [ -V ] [ -T ] [ -lN ] [ -NID ] [ -Fn ] [ -LFn ] [ -LSn ] [ -kN ] [ -yN ] [ -kAN ] [ -kBN ] [ -Amapname ] [ -Mcurd ] [ -Zi ] [ -Dn ] [ -DI ] [ -Wf ] [ --demofilenameformat=s ] [ --demotimestampformat=s ] [ --demotimelocal=s ] [ -Cf ] [ -Xf ] [ -rf ] [ -Bf ] [ -Kf ] [ -gf ] [ -Ef ] [ -If ] [ -Of ] [ -SWr ] [ -uN ] [ --wizard outfile relbinarypath ] [ --help ]

DESCRIPTION
AssaultCube, formerly ActionCube, is a first-person-shooter based on the game Cube. Set in a realistic looking environment, as far as that's possible with this engine, while gameplay stays fast and arcade. This game is all about team oriented multiplayer fun.

assaultcube-server is a script which executes /usr/lib/games/ac_server from the /usr/share/games/assaultcube/ directory. It will accept any additional options

OPTIONS

-cN Sets the maximum number of players that can play on the server to N (default 6). If extra players try to connect they will receive a "server full" error message.

-nS Sets the server description that shows in the server list. Make sure you keep it short, otherwise it'll become truncated, example: -n"Fruity: Bananas & Cherry"

-n1S
    Sets a prefix for the server description that remains when the server description is changed using the /serverdesc command. A prefix AND/OR suffix MUST be specified for the /serverdesc command to work.

-n2S
    Sets a suffix for the server description that remains when the server description is changed using the /serverdesc command. A suffix AND/OR prefix MUST be specified for the /serverdesc command to work.

-oN Sets the servers MOTD (message of the day), which appears on the clients console after they connect to the server.

-iIP
    Binds the AssaultCube server to a single IP address. This option is only of use for servers that have multiple IP addresses. Don't use this unless you know what you're doing.

-fPORT
    The AssaultCube server uses 2 ports (UDP), the default ports are 28763 and 28764. You need to use different ports if you want to run several servers on the same IP address. This argument allows you to bind the AssaultCube server to other ports. For example: -f9000 would run a server on ports 9000 and 9001.

-pPASSWD
    Sets the password of the server PASSWD. Only clients that know the password will be able to connect. Clients will be required to append the password to the end of the connect command.

-mURL
    Forces the server to register with the URL of a different masterserver. When using this argument, you need to exclude the protocol at the beginning (i.e. add everything BUT http:// on to the argument). The default is -massault.cubers.net If you want your server to be hidden and not report to the masterserver, use -mlocalhost

-xPASSWD
    Sets the administrator password to PASSWD. If you don't want your commandline to contain the password, or if you need more than one admin password, use the file "config/serverpwd.cfg".

    Once logged in with the administrator password (by using /setadmin 1 YOURPASS), further administrator options are presented to you when opening the menu (however, not all, check the CubeScript command reference for other options).

-PfkbMASRCDEPw
    Sets whether the role required to call a specific vote belongs to a "player" or an "administrator". The characters fkbMASRCDEPw are used to set these requirements. A lower-case character enables normal players to call that vote, where-as an upper-case character will only allow an administrator to call the vote. If a character doesn't appear, then the defaults for that setting will be used.

    f | Lower | Force a player to the enemy team.
    k | Lower | Kick a player.
    b | Lower | Ban a player (and remove bans).
    M | Upper | Change mastermode (open/private/match).
    A | Upper | Enable/disable autoteam.
    S | Upper | Shuffle the teams.
    R | Upper | Record a demo of the next game (if autorecording is disabled).
    C | Upper | Clear all demos on the server.
    D | Upper | Change server description.
    E | Upper | Can vote for co-op edit mode.
    P | Upper | Can vote for a gamemode that isn't supported by the map.
    w | Lower | Can vote to kick/ban for "weak" reasons. A "weak" reason is one where the server can't detect if the player being voted against is lagging, teamkilling, spamming or cheating.

    For example: -PbmA enables ban & mastermode to be voted by normal players, but only an administrator can change autoteam. The '-P' argument can be used several times, for example: '-Pb -Pm -PA' is the same as '-PbmA'.

-V  Verbose mode. This enables additional log messages to be printed, including the server configuration files after parsing. Using this argument twice will also enable logging of DEBUG messages. Be careful as your logs will show everything in your serverpwd.cfg file. -T Tags a timestamp to each line of text output to the console/log files.

-lN Enables or disables game status logging in server logs (enabled by default)

-NID
    Sets the log identity to ID . By default, the log identity is 'IP[port]'. On Linux systems, the log identity is used for the syslog to identify server log entries. On Windows and Apple systems, the log identity is used to create the server log filename.

-Fn Sets the syslog facility to n. Values from 0 to 7 are allowed, to make use of the facilities "local0" through to "local7". By default, local6 is used. For further information, read the documentation of your installed syslog daemon.

-LFn
    Sets the level of logging to n for logging to file. On Linux systems, this argument enables ADDITIONAL logging, as Linux systems already log to syslog. The following levels can be selected:

    0 | DEBUG | Logs all messages.
    1 | VERBOSE | Logs all messages of level VERBOSE and above. This is the same as using the -V argument.
    2 | INFO | Logs all messages of level INFO and above. This is the default on Windows/Mac.
    3 | WARNING | Log only messages of level WARNING and above.
    4 | ERROR | Log only messages of level ERROR.
    5 | NONE | Don't log to file. This is the default on Linux systems.

-LSn
    Sets the level of logging to n for logging to syslog. This argument is ignored on non-Linux systems. The following levels can be selected:

    0 | DEBUG | Logs all messages.
    1 | VERBOSE | Logs all messages of level VERBOSE and above. This is the same as using the -V argument.
    2 | INFO | Logs all messages of level INFO and above. This is the default for Linux.
    3 | WARNING | Log only messages of level WARNING and above.
    4 | ERROR | Log only messages of level ERROR.
    5 | NONE | Don't log to file. This is the default on Windows/Mac systems.

-kN Sets the kick threshold to N. If a players score drops below it, he will be kicked automatically. The default is -5, all negative values DO require a minus sign.

-yN Sets the ban threshold to N. If a players score drops below it, he will be banned automatically. The default is -6, all negative values DO require a minus sign.

-kAN
    Sets the threshold (in seconds) for the "AFK" auto-kick to N. The server won't auto-kick if:

        * The servers mastermode is PRIVATE or MATCH.
        * If there are 4 or less players.
        * If the mode isn't team-based AND the server isn't full.

    The server will assume inactive players, even if chatting or in spectate mode, as AFK. If the value is set lower than 30 seconds, then AFK auto-kick is disabled. The default setting is 45 seconds.

-kBN
    Sets the amount of minutes a banned player will remain banned from the server to N The default is 20 minutes.

-Amapname
          Restricts voting for a particular map (or mode for that map, if specified) to administrators. To only restrict a particular mode on the map, but not the map itself, add the mode number to the end of it, separated by a '#'. This argument can be used several times.

    Example: -Aac_desert#13 would restrict mode 13 on ac_desert.

-Mcurd
    Sets whether the role required to sendmap belongs to a "player" or an "administrator". The characters curd are used to set these requirements. A lower-case character enables normal players to do the listed sendmap action, where-as an upper-case character will only allow an administrator to do the listed sendmap action. If a character doesn't appear, then the defaults for that setting will be used.

    c | Upper | Upload new maps to the server.
    u | Upper | Update existing maps (with the same, or a newer revision).
    r | Upper | Revert existing maps (to an older revision).
    d | Upper | Delete a map from the server.

-Zi Sets the size limit (in megabytes) for maps being uploaded to the "incoming" folder to i. Any map being uploaded exceeding this limit, will be rejected. The default is 10 megabytes.

-Dn All games DO record demos (which can't be disabled). This argument however, sets the maximum number of recorded demos to be held in the servers RAM at a time to n. As demos can become quite large (sometimes up to 2 megabytes), it may be wise not to keep this setting too high if you're low on RAM and/or are running many servers. Up to 5 demos are kept in RAM by default. The oldest demo will be deleted automatically as necessary, to allow for recording of further demos. If an invalid number is specified (example: 0), then this argument will revert to the default of 5 demos.

-DI Limit downloading of demos until the intermission (this will increase the intermission time if someone is downloading a demo).

-Wf Sets the path (and optionally, the filename prefix) to write recorded demos to from RAM. As an example: -Wserverdemos/mydemo would save all demos to the directory "serverdemos", with a prefix in the filenames of "mydemo". Demo filenames will contain the (optional) prefix, the (encoded) time, game mode and map. To set a path without filename prefix, ensure you add a '/' to the end of this argument. The server owner has to take precautions that demo files don't fill up the file system, as demos can become quite large (sometimes up to 2 megabytes).

--demofilenameformat=s
    Changes the format used for saving demos (if the -W argument is used) to s. See demonameformat for options.

--demotimestampformat=s
    Changes the timestamp format used for saving demos (if the -W argument is used) to s. See demotimeformat for options.

--demotimelocal=s
    Changes whether timestamps are converted to localtime (if s is set to 1) or to use UTC (if s is set to 0 - this is the default) when saving demos (if the -W argument is used). See demotimelocal.

-Cf Reads commandline arguments from a file (no files are read by default). For example, -Cconfig/servercmdline.txt will read arguments from that file. Only one argument per line is allowed in the file. Empty lines, and any text after '//' in the file gets ignored. The file is only read once at server startup, so changing the files content will not affect a running server, you would need to restart it. See ./config/servercmdline.txt for additional info.

-Xf Changes the location of the administrator password file. The default is: -Xconfig/serverpwd.cfg

-rf Changes the location of the map rotation file. The default is: -rconfig/maprot.cfg

-Bf Changes the location of the IP blacklist file. The default is: -Bconfig/serverblacklist.cfg

-Kf Changes the location of the nickname blacklist file. The default is: -Kconfig/nicknameblacklist.cfg

-gf Changes the location of the forbidden words file. The default is: -gconfig/forbidden.cfg

-Ef Changes the location of the kill messages file. The default is: -gconfig/serverkillmessages.cfg

-If Changes the location of the "serverinfo text" filename prefix. The server automatically adds "_en.txt" as a suffix to complete the filename. The default is: -Iconfig/serverinfo

-Of Changes the location of the MOTD (message of the day) filename prefix. The server automatically adds "_en.txt" as a suffix to complete the filename. The default is: -Oconfig/motd The MOTD will only be read from a file if the -o argument hasn't been specified.

-SWr
    Starts the server as Microsoft Windows service and sets the name of the windows service that should be used to r. This will only work if the server is started directly from the windows service manager.

-uN Sets the up-stream bandwidth (per player) to N bytes per second. Only set this argument if you know what you're doing, as specifying a incorrect value is worse than not specifying it.

--wizard outfile relbinarypath
    Starts the server setup wizard and saves the chosen settings to outfile in the form of a bash script, executing the file given by relbinarypath with the additional options specified.

    Example:
    assaultcube --wizard $HOME/myserver.sh $(which assaultcube-server)

        $(which assaultcube-server) simply expands to the assaultcube launcher path and would be equivalent to using e.g: /usr/games/assaultcube-server

    --help
        Display this manpage.

SEE ALSO
assaultcube(6)

AUTHOR
AssaultCube was written by the AssaultCube Team.

This manual page was written by Martin Erik Werner <martinerikwerner@gmail.com>
Information about options taken from:
<http://assault.cubers.net/docs/commandline.html>